> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Informes de resultados



## OpenAPI

````yaml es/openapi/data-api-proxy.spec.yml GET /api/v2.1/fundamentals/earningReports
openapi: 3.0.0
info:
  contact: {}
  description: >-
    توفّر واجهة برمجة التطبيقات REST هذه نقاط نهاية للبحث في الأساسيات المالية
    والحصول على تفاصيلها.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/earningReports:
    get:
      tags:
        - Fundamentals
      summary: تقارير الأرباح السنوية وربع السنوية v2.1
      description: >-
        يسترجع تقارير أرباح تفصيلية للأوراق المالية المحددة، بما في ذلك
        الإيرادات، وربحية السهم (EPS)، وEBITDA (الأرباح قبل الفوائد والضرائب
        والإهلاك والاستهلاك)، وصافي الدخل، وغيرها من النتائج المالية الرئيسية من
        التقارير ربع السنوية والسنوية. يُعدّ أداة أساسية لتحليل الأداء المالي
        للشركة واتجاهات أرباحها مع مرور الوقت.
      operationId: get-earnings-reports-v21
      parameters:
        - description: >-
            قائمة من رموز تداول الأسهم مفصولة بفواصل (مثل: AAPL,MSFT,GOOGL).
            مطلوب.
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            تصفية النتائج للتواريخ التي تقع في هذا التاريخ أو بعده. التنسيق:
            YYYY-MM-DD (على سبيل المثال: 2024-01-01)
          in: query
          name: asOf
          schema:
            type: string
        - description: >-
            عامل تصفية للفترة الزمنية لفترات التقارير المالية. القيم المدعومة:
            Q1, Q2, Q3, Q4 (ربع سنوية)، FY (السنة المالية)، TTM (الاثنا عشر
            شهرًا الماضية)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            نوع التقرير المالي. القيم المدعومة: TTM (آخر اثني عشر شهرًا)، A (كما
            تم الإبلاغ عنه في الأصل)، R (قيم مُعاد بيانها)، P (إعلانات أولية)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: بيانات تقارير الأرباح
          content:
            application/json:
              schema:
                type: object
        '400':
          description: طلب غير صالح - معلمة الرموز مفقودة أو غير صالحة
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
        - unsupported_message_type
        - database_query_error
      type: string
      x-enum-varnames:
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````